Bug 394141 - add "justdb" tsflag support
add "justdb" tsflag support
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: EasyFix, FutureFeature, Patch
Depends On:
  Show dependency treegraph
Reported: 2007-11-21 08:28 EST by Dmitry Butskoy
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-13 11:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The proposed patch (just one line to add). (641 bytes, patch)
2007-11-21 08:28 EST, Dmitry Butskoy
no flags Details | Diff

  None (edit)
Description Dmitry Butskoy 2007-11-21 08:28:51 EST
Yum now supports some rpm transaction flags, either by "tsflags" config 
option, or by "yum-tsflags" plugin.

Currently only partial list of possible TS flags is supported: 
"noscripts", "notriggers", "nodocs", "test" and "repackage".

I would like to propose to add "justdb" flag as well.

The "justdb" flag is useful in combination with "--installroot=DIR" and

After the "yum --installroot=DIR --tsflags=justdb update", a separate rpm
database (DIR/var/lib/rpm) we be updated (with all transactions check etc.).
Then we catch the downloaded packages (from DIR/var/cache/yum) and move them
either to a local repository (in a case where the rpm database reflects some
local partial repository snapshot), or move to removable media and then update a
computer without network access, etc.
Comment 1 Dmitry Butskoy 2007-11-21 08:28:51 EST
Created attachment 265971 [details]
The proposed patch (just one line to add).
Comment 2 Dmitry Butskoy 2008-01-07 09:50:40 EST

It is too trivial and spoils nothing...
Are there any blockers for implementation of this additional tsflag?
Comment 3 Dmitry Butskoy 2008-02-20 09:29:20 EST
Comment 4 Seth Vidal 2008-03-12 11:48:07 EDT
Comment 5 Jeremy Katz 2008-03-13 11:20:08 EDT
Added in git

Note You need to log in before you can comment on or make changes to this bug.